.mainLoginDiv {
    padding: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

main {
    min-height: 100vh;
    display: flex;
}

main>div {
    width: 50%;
    display: inline-block;
    min-height: 100vh;
}

#login-heading{
    margin-top: 20px;
    margin-bottom: 30px;
    text-align: center;
    font-family: regular;
    color: #ababab;
    font-size: 1.1rem;
}

#askforsignup{
    font-family: 'semibold';
    font-size: 1.1rem;
}

.logoDiv {
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    gap: 10px;
    position: absolute;
    top: 20px;
    left: 20px;
}

.LogoimageDiv{
    height: 35px;
    width: 35px;
}
.logoDiv h1{
    font-size: 1.2rem;
}
.MainlogodivBox{
    margin-top: 40px;
}
.LogoimageDiv img {
    width: 100%;
    height: 100%;
}

.MainlogodivBox {
    /* height: 40rem; */
}

.greenScreen {
    background-color:#ffbaa7;
    display: flex;
    justify-content: center;
    align-items: center;
}
.greenScreen div{
    width: 80%;
    border-radius: 20px;
    overflow: hidden;
}
.greenScreen div img{
    width: 100%;
}

.MainlogodivBox>h1 {
    text-align: center;
}

.MainlogodivBox>h5 {
    text-align: center;
    color: grey;
    margin-top: 1rem;
    margin-bottom: 1.5rem;
}

.MainlogodivBox form {
    display: flex;
    flex-direction: column;

}

.MainlogodivBox form input {
    margin-bottom: 1rem;
    border: 2px solid grey;
    height: 2.5rem;
    border-radius: 5px;
    padding: 4px;
    outline: none;
    font-size: 1rem;
}

input:focus {
    border: 2px solid rgb(130, 16, 236);
}

.MainlogodivBox form label {
    margin-bottom: 7px;
    font-weight: bold;
    color: rgb(88, 88, 88);
}

.MainlogodivBox form>p {
    text-align: right;
    margin-top: -9px;
    color: grey;
    font-size: 0.9rem;
}

.MainlogodivBox form>button {
    background-color: black;
    height: 2.5rem;
    color: white;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    font-size: 17px;
}

.or {
    margin: 2rem 0;
    text-align: center;
}

.Google {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid grey;
    gap: 10px;
    height: 2.5rem;
    border-radius: 5px;
    /* padding: 4px; */
    cursor: pointer;
}

.googleImageDiv {
    height: 1.7rem;


}

.googleImageDiv img {
    height: 100%;
}

.linkText{
    cursor: pointer;
    color: #3489DB;
}

.youdont{
    color: grey;
    text-align: center;
    margin-top: 2rem;
    margin-bottom: 4rem;
}
.greyColor{
    color: grey;
}

.Forget{
    margin-bottom: 2rem;
    cursor: pointer;
}

/*-----------------------------------------Loader------------------------------------------------*/


.loader {
    animation: rotate 2s infinite;
    height: 50px;
    width: 50px;
    display: none;
}

#mainloader{
    display: block;
  margin: auto;
  margin-top: calc(50vh - 120px);
}

.loader:before,
.loader:after {
    border-radius: 50%;
    content: '';
    display: block;
    height: 20px;
    width: 20px;
}

.loader:before {
    animation: ball1 2s infinite;
    background-color: black;
    box-shadow: 30px 0 0 black;
    margin-bottom: 10px;
}

.loader:after {
    animation: ball2 2s infinite;
    background-color: black;
    box-shadow: 30px 0 0 black;
}

@keyframes rotate {
    0% {
        -webkit-transform: rotate(0deg) scale(0.5);
        -moz-transform: rotate(0deg) scale(0.5);
    }

    50% {
        -webkit-transform: rotate(360deg) scale(1);
        -moz-transform: rotate(360deg) scale(1);
    }

    100% {
        -webkit-transform: rotate(720deg) scale(0.5);
        -moz-transform: rotate(720deg) scale(0.5);
    }
}

@keyframes ball1 {
    0% {
        box-shadow: 30px 0 0 black;
    }

    50% {
        box-shadow: 0 0 0 black;
        margin-bottom: 0;
        -webkit-transform: translate(15px, 15px);
        -moz-transform: translate(15px, 15px);
    }

    100% {
        box-shadow: 30px 0 0 black;
        margin-bottom: 10px;
    }
}

@keyframes ball2 {
    0% {
        box-shadow: 30px 0 0 black;
    }

    50% {
        box-shadow: 0 0 0 black;
        margin-top: -20px;
        -webkit-transform: translate(15px, 15px);
        -moz-transform: translate(15px, 15px);
    }

    100% {
        box-shadow: 30px 0 0 black;
        margin-top: 0;
    }
}

/*------------------------------------------------------------------------------------------------*/


/* ------------------------------------------------Forget Modal css - */
.Forgetmodal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    justify-content: center;
    align-items: center;
  }
  
  .Forget-modal-content {
    background-color: #fefefe;
    padding: 1.5rem;
    border: 1px solid #888;
    width: 90%;
    max-width: 30rem;
    padding-bottom: 3rem;
    border-radius: 20px;
    
  }
  .Forgetclose {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    margin-top: -10px;
  }
  
  .Forgetclose:hover,
  .Forgetclose:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }


  .ForgetBox>h1 {
    margin-bottom: 2rem;
}

.ForgetBox>h5 {
    text-align: center;
    color: grey;
    margin-top: 1rem;
    margin-bottom: 1.5rem;
}

.ForgetBox form {
    display: flex;
    flex-direction: column;

}

.ForgetBox form input {
    margin-bottom: 1rem;
    border: 2px solid grey;
    height: 2.5rem;
    border-radius: 5px;
    padding: 4px;
    outline: none;
}


.ForgetBox form label {
    margin-bottom: 7px;
    font-weight: bold;
    color: rgb(88, 88, 88);
}

.ForgetBox >p {
    color: grey;
    margin-bottom: 1.4rem;
}

.ForgetBox form>button {
    background-color: black;
    height: 2.5rem;
    color: white;
    border-radius: 5px;
    border: none;
    cursor: pointer;
    font-size: larger;
    margin-top: 1rem;
}

  /* -------------------------------------- forget modak css end  */
@media screen and (max-width: 786px) {
    #askforsignup{
        font-size: 1rem;
    }
    
    .mainLoginDiv {
        padding: 1rem;
    }

    .mainLoginDiv>div {
        width: 100%;
    }
    .greenScreen{
        display: none;
    }
    main>div{
        width: 100%;
    }
    .MainlogodivBox{
        margin-top: 80px;
    }
    .logoDiv {
        width: fit-content !important;
        justify-content: left;
        gap: 7px;
    }
    .LogoimageDiv{
        height: 35px;
        width: 35px;
    }
    .logoDiv h1{
        font-size: 1.3rem;
    }
    .mainLoginDiv {
        align-items: flex-start;
    }
    
}